Go Down

Topic: error downloading json (Read 98 times) previous topic - next topic

kc2ipx

Trying to download package for esp32. all i get is error downloading ......index.json. I have
tried everything I can find on google and nothing works. I can see the package on my browser
with no problem so I know the site is available. I assume the problem is with arduino but I
have no idea how to solve it. Can anyone help or am I out of luck with my esp32 module?
Thanks for any help on this.  Dave

pert

Try this:
  • In the Arduino IDE, click the link on the line following File > Preferences > More preferences can be edited directly in the file. This will open the Arduino15 (or similar name depending on OS) folder.
  • Delete all files Arduino15 folder except for preferences.txt. Please be very careful when deleting things from your computer. When in doubt, back up!

Now try to install the ESP32 package again in Boards Manager.

kc2ipx

Tried deleting all files except prefs. Still get error downloading esp32 index. That was one of the things on
google I tried. Still does not help. It puts a temp file in the dir every time but it is empty. I am using 1.8.9
and do not know if going back a few numbers would help but I do not think so. Any more thoughts on this
issue. I am totally at a loss. Been at this three days now.  Thanks for the try.  Dave 

pert

  • After you get that error about downloading the .json file, click the "Close" button in the Boards Manager window.
  • Click on the black console window at the bottom of the Arduino IDE window.
  • Press "Ctrl + A". This will select all the text in the console window.
  • Press "Ctrl + C". This will copy the selected text to the clipboard.
  • In a reply here, click the </> button on the forum toolbar. This will insert code tags into the reply field.
  • Press "Ctrl + V". This will paste the copied text from the clipboard between the code tags.
  • Click "Post".

kc2ipx

Code: [Select]
Error downloading https://dl.expressif.com/dl/package_esp32_index.json

kc2ipx

Getting late so I will call it a day. Get back to it again tomorrow. As an aside I also have a win 10 laptop
with 1.8.9 on it with a clean install.and I get the same error on it. I cannot guess what the problem is. Seems
 every thing is working except the download. This computer is running linux mint19. It is kind of hard keeping
up with this stuff when you are 80 years old. Thanks for any suggestions you can give.  Dave

pert

You spelled the URL wrong. It should be:
https://dl.espressif.com/dl/package_esp32_index.json

espressif, not expressif

That's why you're getting the error. Open File > Preferences and fix the misspelled URL in "Additional Boards Manager URLs".

kc2ipx

Thank you very much. I looked at that url a hundred times. Typed it in a bunch of times on two computers
and did it wrong every time. You think you know how to spell something, you just miss it when it is not
spelled like you think. Thanks again for taking the time for me.  Dave

pert

You're welcome. I'm glad if I was able to be of assistance. Enjoy!
Per

Go Up